/**********************************************************************
*  2005 Microchip Technology Inc.
*
* FileName:        general.h
* Dependencies:    Header (.h) files if applicable, see below
* Processor:       dsPIC30Fxxxx
* Compiler:        MPLAB C30 v3.00 or higher
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Incorporated ("Microchip") retains all ownership and 
* intellectual property rights in the code accompanying this message and in all 
* derivatives hereto.  You may use this code, and any derivatives created by 
* any person or entity by or on your behalf, exclusively with Microchip,s 
* proprietary products.  Your acceptance and/or use of this code constitutes 
* agreement to the terms and conditions of this notice.
*
* CODE ACCOMPANYING THIS MESSAGE IS SUPPLIED BY MICROCHIP "AS IS".  NO 
* WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
* TO, IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE APPLY TO THIS CODE, ITS INTERACTION WITH MICROCHIP,S 
* PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
*
* YOU ACKNOWLEDGE AND AGREE THAT, IN NO EVENT, SHALL MICROCHIP BE LIABLE, WHETHER 
* IN CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), 
* STRICT LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT, SPECIAL, 
* PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, FOR COST OR EXPENSE OF 
* ANY KIND WHATSOEVER RELATED TO THE CODE, HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN 
* ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT 
* ALLOWABLE BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO 
* THIS CODE, SHALL NOT EXCEED THE PRICE YOU PAID DIRECTLY TO MICROCHIP SPECIFICALLY TO 
* HAVE THIS CODE DEVELOPED.
*
* You agree that you are solely responsible for testing the code and 
* determining its suitability.  Microchip has no obligation to modify, test, 
* certify, or support the code.
*
* REVISION HISTORY:
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Author          	Date      Comments on this revision
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Vinaya Skanda 	05/25/07  First release of source file
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
* ADDITIONAL NOTES:
* This code is tested on dsPICDEM MC1 Motor Control Development Board
* connected to the High Voltage Power Module. The dsPIC30F device is 
* used as the controller for this application

***************************************************************************************************************************/

//***************************************************************************************************************************//

// Include Header File

#include "p30F6010A.h"

//***************************************************************************************************************************//

// Global Constants and definitions


#define pinLED1              LATAbits.LATA9
#define pinLED2              LATAbits.LATA10
#define pinLED3              LATAbits.LATA14
#define pinLED4              LATAbits.LATA15

#define pinPWMOutputEnable_   PORTDbits.RD11    // active low 
#define pinPFCFire           PORTDbits.RD5
#define pinBrakeFire         PORTDbits.RD4
#define pinFaultReset        PORTEbits.RE9

#define NominalFrequency	50			// Select either 50Hz or 60Hz
#define SamplingFrequency	40000		// Select the sampling frequency for ADC


//***************************************************************************************************************************//

// Global Function Prototypez

void Delay(void);
void SetupBoard(void);
void SetupPorts(void);
void configADC(void);
void VoltagePIControl(void);
void calcIacRef(void); 	
void CurrentPIControl(void);
void calcVsumAndFreq(void);
void InitOutputCompare6(void);


void __attribute__((__interrupt__ , auto_psv)) _ADCInterrupt(void);
void __attribute__((__interrupt__ , auto_psv)) _T3Interrupt(void);
void __attribute__((__interrupt__ , auto_psv)) _OC6Interrupt(void);
void __attribute__((__interrupt__ , auto_psv)) _MathError(void);
void __attribute__((__interrupt__ , auto_psv)) _AddressError(void);
void __attribute__((__interrupt__ , auto_psv)) _StackError(void);

//***************************************************************************************************************************//
